#include<stdio.h>
#include<stdio.h>
using namespace std;
int a[1000000],b[1000000],c[1000000],d[1000000];

void reset(int b[],int a[],int n)
{
    int r;
    for(r=0;r<n;r++)b[r]=a[r];
}

int najveciopadajuci(int b[],int n,int a[])
{
    int i,pom,j,br=1,maxbr=1,l,k;
    reset(b,a,n);
    for(i=0;i<n;i++){
        if(b[i]>b[i+1])maxbr++;
        c[i]=b[i];
    }


    for(i=0;i<n;i++){
        for(j=i+1;j<n;j++)
        {
            pom=b[i];
            b[i]=b[j];
            b[j]=pom;
            for(l=0;l<n-1;l++)
                if(b[l]>b[l+1])br++;

            if(br>=maxbr){maxbr=br;
             for(k=0;k<n;k++)c[k]=b[k];

            }
             reset(b,a,n);
             br=1;
        }

    }
    return maxbr;
}


int najvecirastuci(int b[],int n,int a[])
{
        int i,pom,j,br=1,maxbr=1,l,k;
    reset(b,a,n);
    for(i=0;i<n;i++){
        if(b[i]<b[i+1])maxbr++;
        d[i]=b[i];
    }


    for(i=0;i<n;i++){
        for(j=i+1;j<n;j++)
        {
            pom=b[i];
            b[i]=b[j];
            b[j]=pom;
            for(l=0;l<n-1;l++)
                if(b[l]<b[l+1])br++;

            if(br>=maxbr){maxbr=br;
             for(k=0;k<n;k++)d[k]=b[k];

            }
             reset(b,a,n);
             br=1;
        }

    }
    return maxbr;
}


int main()
{
    int n,i,pom;
    scanf("%d",&n);
    for(i=0;i<n;i++)scanf("%d",&a[i]);
   if(n==2)
   {
       pom=a[0];
       a[0]=a[1];
       a[1]=pom;
       printf("%d %d",a[0],a[1]);

   }else{
    if(najveciopadajuci(b,n,a)>najvecirastuci(b,n,a))
    for(i=0;i<n;i++)printf("%d ",c[i]);

    else
        for(i=0;i<n;i++)printf("%d ",d[i]);}
    return 0;
}